Page MenuHomePhabricator

replace es-tool with elasticsearch-curator for standard elasticsearch operations
Closed, ResolvedPublic

Description

Since elasticsearch upgrade to v5.x some of the functionalities of es-tool are broken. Instead of trying to fix them, let's replace them with elasticsearch-curator.

Event Timeline

Gehel created this task.May 23 2017, 4:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2017, 4:59 PM

Change 356033 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] elasticsearch - introduce curator configs to enable / disable replication

https://gerrit.wikimedia.org/r/356033

Change 356033 merged by Gehel:
[operations/puppet@production] elasticsearch - introduce curator configs to enable / disable replication

https://gerrit.wikimedia.org/r/356033

Change 356052 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] elasticsearch - correct naming of curator config files

https://gerrit.wikimedia.org/r/356052

Change 356063 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] logstash - start using elasticsearch-curator for indices cleanup

https://gerrit.wikimedia.org/r/356063

Change 356064 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] logstash - cleanup dead code

https://gerrit.wikimedia.org/r/356064

Change 356068 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] elasticsearch - configure logging for elasticsearch-curator

https://gerrit.wikimedia.org/r/356068

Change 356068 merged by Gehel:
[operations/puppet@production] elasticsearch - configure logging for elasticsearch-curator

https://gerrit.wikimedia.org/r/356068

Change 356052 merged by Gehel:
[operations/puppet@production] elasticsearch - correct naming of curator config files

https://gerrit.wikimedia.org/r/356052

Change 356063 merged by Gehel:
[operations/puppet@production] logstash - start using elasticsearch-curator for indices cleanup

https://gerrit.wikimedia.org/r/356063

Change 356342 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] logstash - fix typo in template name

https://gerrit.wikimedia.org/r/356342

Change 356342 merged by Gehel:
[operations/puppet@production] logstash - fix typo in template name

https://gerrit.wikimedia.org/r/356342

Change 356384 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] logstash - forcemerge to 10 segments instead of 1

https://gerrit.wikimedia.org/r/356384

Change 356384 abandoned by Gehel:
logstash - forcemerge to 10 segments instead of 1

Reason:
forcemerge looks like it is doing good progress as it is

https://gerrit.wikimedia.org/r/356384

Change 356064 merged by Gehel:
[operations/puppet@production] logstash - cleanup dead code

https://gerrit.wikimedia.org/r/356064

debt triaged this task as High priority.Jun 9 2017, 7:45 PM

logstash scripts are now using curator, some standard action files (enabling / disabling shard allocation) are deployed. We will probably continue to rely more on curator in the future, but at this point we can close this ticket.

debt closed this task as Resolved.Jun 13 2017, 5:31 PM
debt added a subscriber: debt.

Thanks, @Gehel !